Bug 993828 - libfishsound possibly affected by F-20 unversioned docdir change
libfishsound possibly affected by F-20 unversioned docdir change
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libfishsound (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 08:28 EDT by Ville Skyttä
Modified: 2014-01-17 22:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-09 13:32:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 08:28:34 EDT
libfishsound was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Fedora End Of Life 2013-09-16 12:12:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Ville Skyttä 2013-11-09 13:32:17 EST
The grep matches this:

%configure --disable-static # --docdir=%{_datadir}/doc/%{name}-docs-%{version}

So this is not a bug, but I'd recommend removing the possibly misleading --docdir comment in future package revisions.
Comment 3 Michel Alexandre Salim 2014-01-17 22:32:44 EST
Rawhide spec fixed (updated project URL too since the project home page is now at Xiph). Will wait until the automated F21 rebuild to actually push out the update though.

Note You need to log in before you can comment on or make changes to this bug.